#!/bin/sh
# Java Native Interface (JNI) default configuration

for DIR in /usr/lib/jni /usr/share/jni /usr/local/lib/jni /usr/local/share/jni
do

	if test -d "$DIR"
	then

		if test -z "$JNI_LIBRARY_PATH"
		then
			JNI_LIBRARY_PATH="$DIR"
		else
			JNI_LIBRARY_PATH="$JNI_LIBRARY_PATH:$DIR"
		fi

		export JNI_LIBRARY_PATH

	fi

done

if test -z "$LD_LIBRARY_PATH"
then
	LD_LIBRARY_PATH="$JNI_LIBRARY_PATH"
else
	LD_LIBRARY_PATH="$LD_LIBRARY_PATH:$JNI_LIBRARY_PATH"
fi

export LD_LIBRARY_PATH

